September 24, 2009

Snow Leopard and Custom Xcode templates

Posted in iPhone development tagged , , , , , at 2:59 pm by tetontech

I have been experiencing linking errors when using the custom iPhone Xcode templates developed under Leopard.  On further investigation I have found that Xcode 3.2 appears to be interpreting the templates as OS 10.5 templates rather than iPhone templates.  This causes linker failures when the 10.5 project attempts to link the iPhone libraries.

I am re-creating the iPhone template for QCiPhone 1.6 Beta 1

Advertisements

2 Comments »

  1. Terry Hanks said,

    I have downloaded 1.6 Beta 1 and am trying to build using Xcode 3.2 and am getting the linking errors you describe for the templates. Will there be fix for this? I am trying to build the JSON data example.

    Thanks,

    Terry

    • tetontech said,

      I’ll put out a fix in the next beta. I hope to put that out tomorrow.


Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: